import os
import json 
import uuid
from dataclasses import dataclass, field
from copy import deepcopy
import pygame
import pygame_gui

def path_exists(data, path):
    current = data
    for key in path:
        if isinstance(current, dict) and key in current:
            current = current[key]
        else:
            return False
    return True